.contact input:not([type="submit"]),
.contact textarea {
    color: var(--color-secondary);
    border-color: color-mix(in srgb, var(--color-secondary) 60%, transparent);
}

.contact__header {
    gap: 2rem;
    align-items: center;
    justify-content: center;
    max-width: 52rem;
    margin-inline: auto;
    text-align: center;
    display: none;
}

.contact__content {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
}

.contact__info {
    gap: 2rem;
    padding-inline-end: 16%;
}

.contact__info .contact__image {
    display: none;
}

.contact__text {
    font-size: 1.6rem;
}

.contact__image {
    aspect-ratio: 1/1;
}

.contact form {
    padding-top: 2rem;
}

[data-current-variation="2"] .contact form {
    padding-top: 0;
}

[data-current-variation="2"] .contact__header {
    display: flex;
}

[data-current-variation="2"] .contact__content .contact__title,
[data-current-variation="2"] .contact__content .contact__text {
    display: none;
}

[data-current-variation="2"] .contact__image {
    aspect-ratio: 672/395;
    order: -1;
}

[data-current-variation="2"] .contact__info {
    padding-inline-end: 0;
    padding-inline-start: 10%;
}

@media screen and (max-width: 1024.9px) {
    [data-current-variation="2"] .contact__content {
        align-items: stretch;
    }

    [data-current-variation="2"] .contact__image {
        aspect-ratio: 2;
    }
}

@media screen and (max-width: 767.9px) {
    .contact__content {
        grid-template-columns: repeat(1, 1fr);
    }

    .contact__image {
        aspect-ratio: 335/300;
    }

    .contact__content > .contact__image {
        display: none;
    }

    .contact__info .contact__image {
        display: block;
    }

    .contact__info {
        padding-inline-end: 0;
        gap: 3rem;
    }

    .contact form {
        padding-top: 0;
    }

    [data-current-variation="2"] .contact__info {
        padding-inline-start: 0;
    }
}